Subject: Re: bug#74606: 31.0.50; Another rsvg API change

From: Manuel Giraud <[email-masked]>
Date: Mon, 02 Dec 2024 16:02:40 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Mon, 02 Dec 2024 15:14:54 +0100
>> 
>> > On this page, when you unfold the link "Tags containing commit", you can
>> > see that 2.58.90 is the first one.  So maybe, I should use this version
>> > instead.  WDYT?
>> >
>> > The "Deprecated: 2.58" from the header looks like a copy/paste
>> > mistake.
>> 
>> Here is a patch to be applied on emacs-30.
>
> Thanks, but did you verify that 2.58.90 actually has this function?
> Is the tarball of that version's sources available somewhere we could
> check?

No I didn't.  I've only used the commit log.

> Alternatively, we could use 2.59, since 2.58.90 is a pretest, so I see
> no catastrophe if someone sees warnings while using it.

I agree: no catastrophe and low probability too.  Do you want me to
modify the patch to check for 2.59?
-- 
Manuel Giraud